# CXO Appointments and Changes Dataset API

POST /api/v1/dataset/executive-change

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "companyIds": ["company_id"],
    "industries": ["industry"],
    "industrySegments": ["segment"],
    "countries": ["country"],
    "title": "title",
    "reason": "reason",
    "limit": "limit"
}
```

<table data-header-hidden><thead><tr><th></th><th width="230.33333333333331"></th><th></th></tr></thead><tbody><tr><td>Param</td><td>Mandatory</td><td>Description</td></tr><tr><td>startDate</td><td>N</td><td>It will return records from Start Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>endDate</td><td>N</td><td>It will return records till End Date (Last Modified Date) in format DD/MM/YYYY.</td></tr><tr><td>companyIds</td><td>N</td><td>Array of Intellizence Company IDs. It will return records for these Company IDs. If Company IDs is not passed, records for all the tracked companies will be returned.</td></tr><tr><td>industries</td><td>N</td><td>Array of Industries.</td></tr><tr><td>industrySegments</td><td>N</td><td>Array of industry segments.</td></tr><tr><td>countries</td><td>N</td><td>Array of Company Headquarter countries.</td></tr><tr><td>title</td><td>N</td><td>Executive title category like CEO, CFO, COO, CTO, CMO etc.</td></tr><tr><td>reason</td><td>N</td><td>CXO change reason like New Appointment, Promoted/Role Change, Retired, Terminated, Health, Resigned, Demise, Others</td></tr><tr><td>limit</td><td>N</td><td>Default value is 100 records. If Start Date and End Date are not passed, it will return latest 'N' records depending on limit value.</td></tr></tbody></table>

**Response Body**

```
[
    {
        "id": "66aaec27ef0e60cb50c775e1",
        "company": {
            "id": "IN000766",
            "name": "Boeing",
            "domain": "www.boeing.com",
            "industries": [
                "aviation"
            ],
            "industrySegments": [
                "airlines"
            ],
            "location": "Chicago,Illinois,United States of America",
            "ticker": [
                "BA"
            ],
            "stockExchange": [
                "NYSE"
            ],
            "type": "Public"
        },
        "announcedDate": "31/07/2024",
        "executiveName": "Robert “Kelly” Ortberg",
        "executiveTitle": "Chief Executive Officer",
        "executiveTitleCategory": [
            "Chief Executive Officer ( CEO)/President/Managing Director"
        ],
        "reason": "New Appointment",
        "executivePreviousCompany": {
            "id": "IN010752",
            "name": "Rockwell Collins",
            "domain": "www.rockwellcollins.com",
            "score": 32.57057571411133
        },
        "effectiveDate": "08/08/2024",
        "url": "https://www.wvua23.com/boeing-names-new-ceo-as-it-posts-a-loss-of-more-than-1-4-billion-in-second-quarter/",
        "title": "Boeing names new CEO as it posts a loss of more than $1.4 billion in second quarter",
        "lastModified": "01/08/2024"
    }
]
```

Check out[ Intellizence CXO Appointments & Changes Dataset - Data Dictionary ](https://intellizence.com/data-dictionary/cxo-changes-dataset/)to learn about the data fields and values.&#x20;

[Start a Free Trial](https://intellizence.com/trial/) or [Schedule a Call](https://info.intellizence.com/meetings/intellizence/demo-schedule) to discuss the subscription.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/dataset-api-v1.0/cxo-appointments-and-changes-dataset-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
